aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/lxdialog/check-lxdialog.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/kconfig/lxdialog/check-lxdialog.sh')
-rw-r--r--scripts/kconfig/lxdialog/check-lxdialog.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 9681476b96e7..62e1e02126e6 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -36,14 +36,16 @@ trap "rm -f $tmp" 0 1 2 3 15
36 36
37# Check if we can link to ncurses 37# Check if we can link to ncurses
38check() { 38check() {
39 echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null 39 echo -e " #include CURSES_LOC \n main() {}" |
40 $cc -xc - -o $tmp 2> /dev/null
40 if [ $? != 0 ]; then 41 if [ $? != 0 ]; then
41 echo " *** Unable to find the ncurses libraries." 1>&2 42 echo " *** Unable to find the ncurses libraries or the" 1>&2
42 echo " *** make menuconfig require the ncurses libraries" 1>&2 43 echo " *** required header files." 1>&2
43 echo " *** " 1>&2 44 echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2
44 echo " *** Install ncurses (ncurses-devel) and try again" 1>&2 45 echo " *** " 1>&2
45 echo " *** " 1>&2 46 echo " *** Install ncurses (ncurses-devel) and try again." 1>&2
46 exit 1 47 echo " *** " 1>&2
48 exit 1
47 fi 49 fi
48} 50}
49 51